Index: .gitignore
===================================================================
--- .gitignore	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ .gitignore	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -1,3 +1,4 @@
 lfs-bootscripts-*.tar.xz
+conditional.ent
 version.ent
 appendices/*.script
Index: Makefile
===================================================================
--- Makefile	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ Makefile	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -190,5 +190,5 @@
 
 version:
-	$(Q)./git-version.sh
+	$(Q)./git-version.sh $(REV)
 
 #dump-commands: validate
Index: chapter01/askforhelp.xml
===================================================================
--- chapter01/askforhelp.xml	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ chapter01/askforhelp.xml	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -39,7 +39,5 @@
     <itemizedlist>
       <listitem>
-        <para>The version of the book being used (in this case
-              <phrase revision="sysv">&version;</phrase>
-              <phrase revision="systemd">&versiond;</phrase>)</para>
+        <para>The version of the book being used (in this case &version;</para>
       </listitem>
       <listitem>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ chapter01/changelog.xml	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -11,8 +11,5 @@
   <title>Changelog</title>
 
-  <para>This is version
-        <phrase revision="sysv">&version;</phrase>
-        <phrase revision="systemd">&versiond;</phrase>
-  of the Linux From Scratch book, dated
+  <para>This is version &version; of the Linux From Scratch book, dated
   &releasedate;. If this book is more than six months old, a newer and better
   version is probably already available. To find out, please check one of the
Index: chapter07/cleanup.xml
===================================================================
--- chapter07/cleanup.xml	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ chapter07/cleanup.xml	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -128,9 +128,6 @@
     </note>
 
-<screen role="nodump" revision="sysv"><userinput>cd $LFS
+<screen role="nodump"><userinput>cd $LFS 
 tar -cJpf $HOME/lfs-temp-tools-&version;.tar.xz .</userinput></screen>
-
-<screen role="nodump" revision="systemd"><userinput>cd $LFS
-tar -cJpf $HOME/lfs-temp-tools-&versiond;.tar.xz .</userinput></screen>
 
   </sect2>
@@ -158,11 +155,7 @@
     your entire host system.  YOU ARE WARNED.</para></warning>
 
-<screen role="nodump" revision="sysv"><computeroutput>cd $LFS
-rm -rf ./*
+<screen role="nodump"><computeroutput>cd $LFS 
+rm -rf ./* 
 tar -xpf $HOME/lfs-temp-tools-&version;.tar.xz</computeroutput></screen>
-
-<screen role="nodump" revision="systemd"><computeroutput>cd $LFS
-rm -rf ./*
-tar -xpf $HOME/lfs-temp-tools-&versiond;.tar.xz</computeroutput></screen>
 
     <para>
Index: chapter10/grub.xml
===================================================================
--- chapter10/grub.xml	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ chapter10/grub.xml	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -157,6 +157,6 @@
 set root=(hd0,2)
 
-menuentry "GNU/Linux, Linux &linux-version;-lfs-&versiond;" {
-        linux   /boot/vmlinuz-&linux-version;-lfs-&versiond; root=/dev/sda2 ro
+menuentry "GNU/Linux, Linux &linux-version;-lfs-&version;" {
+        linux   /boot/vmlinuz-&linux-version;-lfs-&version; root=/dev/sda2 ro
 }</literal>
 EOF</userinput></screen>
Index: chapter10/kernel.xml
===================================================================
--- chapter10/kernel.xml	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ chapter10/kernel.xml	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -228,5 +228,5 @@
 <screen revision="sysv"><userinput remap="install">cp -iv arch/x86/boot/bzImage /boot/vmlinuz-&linux-version;-lfs-&version;</userinput></screen>
 
-<screen revision="systemd"><userinput remap="install">cp -iv arch/x86/boot/bzImage /boot/vmlinuz-&linux-version;-lfs-&versiond;</userinput></screen>
+<screen revision="systemd"><userinput remap="install">cp -iv arch/x86/boot/bzImage /boot/vmlinuz-&linux-version;-lfs-&version;</userinput></screen>
 
     <para><filename>System.map</filename> is a symbol file for the kernel.
@@ -337,6 +337,5 @@
       <seglistitem>
         <seg>config-&linux-version;,
-        <phrase revision="sysv">vmlinuz-&linux-version;-lfs-&version;,</phrase>
-        <phrase revision="systemd">vmlinuz-&linux-version;-lfs-&versiond;,</phrase>
+        vmlinuz-&linux-version;-lfs-&version;
         and System.map-&linux-version;</seg>
         <seg>/lib/modules, /usr/share/doc/linux-&linux-version;</seg>
@@ -360,6 +359,5 @@
 
       <varlistentry id="lfskernel">
-        <term revision="sysv"><filename>vmlinuz-&linux-version;-lfs-&version;</filename></term>
-        <term revision="systemd"><filename>vmlinuz-&linux-version;-lfs-&versiond;</filename></term>
+        <term><filename>vmlinuz-&linux-version;-lfs-&version;</filename></term>
         <listitem>
           <para>The engine of the Linux system. When turning on the computer,
Index: chapter11/reboot.xml
===================================================================
--- chapter11/reboot.xml	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ chapter11/reboot.xml	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -21,20 +21,17 @@
   <itemizedlist>
 
-    <listitem><para>A text mode browser such as <ulink revision="sysv"
-    url='&blfs-book;basicnet/lynx.html'>Lynx</ulink><ulink revision="systemd"
-    url='&blfs-systemd-book;basicnet/lynx.html'>Lynx</ulink>
+    <listitem><para>A text mode browser such as <ulink
+    url='&blfs-book;basicnet/lynx.html'>Lynx</ulink>
     will allow you to easily view the BLFS book in one virtual terminal, while
     building packages in another.</para></listitem>
 
-    <listitem><para>The <ulink revision="sysv"
-    url='&blfs-book;postlfs/make-ca.html'>make-ca</ulink><ulink revision="systemd"
-    url='&blfs-systemd-book;postlfs/make-ca.html'>make-ca</ulink> package
+    <listitem><para>The <ulink
+    url='&blfs-book;postlfs/make-ca.html'>make-ca</ulink> package
     will allow you to set up local trusted anchor certificates, allowing
     the system to verify SSL certificates provided by remote servers (for
     example, a website using HTTPS).</para></listitem>
 
-    <listitem><para>The <ulink revision="sysv"
-    url='&blfs-book;general/gpm.html'>GPM</ulink><ulink revision="systemd"
-    url='&blfs-systemd-book;general/gpm.html'>GPM</ulink> package will allow
+    <listitem><para>The <ulink
+    url='&blfs-book;general/gpm.html'>GPM</ulink> package will allow
     you to perform copy/paste actions in your virtual
     terminals.</para></listitem>
@@ -48,27 +45,19 @@
     useful.</para></listitem>
 
-    <listitem><para>Installing <ulink revision="sysv"
-    url='&blfs-book;postlfs/sudo.html'>sudo</ulink><ulink revision="systemd"
-    url='&blfs-systemd-book;postlfs/sudo.html'>sudo</ulink> may be useful for
+    <listitem><para>Installing <ulink
+    url='&blfs-book;postlfs/sudo.html'>sudo</ulink> may be useful for
     building packages as a non-root user and easily installing the resulting
     packages in your new system.</para></listitem>
 
     <listitem><para>If you want to access your new system from a remote system
-    within a comfortable GUI environment, install <ulink revision="sysv"
-    url='&blfs-book;postlfs/openssh.html'>openssh</ulink><ulink revision="systemd"
-    url='&blfs-systemd-book;postlfs/openssh.html'>openssh</ulink>.
-    </para></listitem>
+    within a comfortable GUI environment, install <ulink
+    url='&blfs-book;postlfs/openssh.html'>openssh</ulink>.</para></listitem>
 
     <listitem><para>To make fetching files over the internet easier, install
-    <ulink
-    revision="sysv" url='&blfs-book;basicnet/wget.html'>wget</ulink><ulink
-    revision="systemd" url='&blfs-systemd-book;basicnet/wget.html'>wget</ulink>.
-    </para></listitem>
+    <ulink url='&blfs-book;basicnet/wget.html'>wget</ulink>.</para></listitem>
 
     <listitem><para>To connect to a wireless access point for networking,
-    install <ulink revision="sysv"
-    url='&blfs-book;basicnet/wpa_supplicant.html'>wpa_supplicant</ulink><ulink
-    revision="systemd"
-    url='&blfs-systemd-book;basicnet/wpa_supplicant.html'>wpa_supplicant</ulink>.
+    install <ulink
+    url='&blfs-book;basicnet/wpa_supplicant.html'>wpa_supplicant</ulink>.
     </para></listitem>
 
Index: chapter11/theend.xml
===================================================================
--- chapter11/theend.xml	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ chapter11/theend.xml	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -32,10 +32,8 @@
   running:</para>
 
-<screen revision="sysv"><userinput>echo &version; &gt; /etc/lfs-release</userinput></screen>
+<screen><userinput>echo &version; &gt; /etc/lfs-release</userinput></screen>
 
-<screen revision="systemd"><userinput>echo &versiond; &gt; /etc/lfs-release</userinput></screen>
-
-  <para>Two files describing the installed system may be used by packages
-  that can be installed on the system later, either in binary form or by building
+  <para>Two files describing the installed system may be used by packages that
+  can be installed on the system later, either in binary form or by building
   them.</para>
 
@@ -44,14 +42,7 @@
   this file, run:</para>
 
-<screen revision="sysv"><userinput>cat &gt; /etc/lsb-release &lt;&lt; "EOF"
+<screen><userinput>cat &gt; /etc/lsb-release &lt;&lt; "EOF"
 DISTRIB_ID="Linux From Scratch"
 DISTRIB_RELEASE="&version;"
-DISTRIB_CODENAME="&lt;your name here&gt;"
-DISTRIB_DESCRIPTION="Linux From Scratch"
-EOF</userinput></screen>
-
-<screen revision="systemd"><userinput>cat &gt; /etc/lsb-release &lt;&lt; "EOF"
-DISTRIB_ID="Linux From Scratch"
-DISTRIB_RELEASE="&versiond;"
 DISTRIB_CODENAME="&lt;your name here&gt;"
 DISTRIB_DESCRIPTION="Linux From Scratch"
@@ -62,17 +53,9 @@
   this file, run:</para>
 
-<screen revision="sysv"><userinput>cat &gt; /etc/os-release &lt;&lt; "EOF"
+<screen><userinput>cat &gt; /etc/os-release &lt;&lt; "EOF"
 NAME="Linux From Scratch"
 VERSION="&version;"
 ID=lfs
 PRETTY_NAME="Linux From Scratch &version;"
-VERSION_CODENAME="&lt;your name here&gt;"
-EOF</userinput></screen>
-
-<screen revision="systemd"><userinput>cat &gt; /etc/os-release &lt;&lt; "EOF"
-NAME="Linux From Scratch"
-VERSION="&versiond;"
-ID=lfs
-PRETTY_NAME="Linux From Scratch &versiond;"
 VERSION_CODENAME="&lt;your name here&gt;"
 EOF</userinput></screen>
Index: chapter11/whatnow.xml
===================================================================
--- chapter11/whatnow.xml	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ chapter11/whatnow.xml	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -58,6 +58,5 @@
       <para>The Beyond Linux From Scratch book covers installation
       procedures for a wide range of software beyond the scope of the LFS
-      Book. The BLFS project is located at <ulink revision="sysv"
-      url="&blfs-book;"/><ulink revision="systemd" url="&blfs-systemd-book;"/>.
+      Book. The BLFS project is located at <ulink url="&blfs-book;"/>.
       </para>
     </listitem>
Index: general.ent
===================================================================
--- general.ent	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ general.ent	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -1,4 +1,8 @@
+<!-- Automatically generated by git-version.sh -->
+<!ENTITY % conditional-entities SYSTEM "conditional.ent">
+%conditional-entities;
+
 <!-- version info automatically generated by git
-     comment the following two lines for release -->
+     comment out the following two lines for release -->
 <!ENTITY % version-entities SYSTEM "version.ent">
 %version-entities;
@@ -7,6 +11,10 @@
      for releases (including -rc) -->
 <!--
+<![ %sysv; [
 <!ENTITY version         "10.2-rc1">
-<!ENTITY versiond        "10.2-systemd-rc1">
+]]>
+<![ %systemd; [
+<!ENTITY version         "10.2-systemd-rc1">
+]]>
 <!ENTITY releasedate     "August 26th, 2021">
 <!ENTITY copyrightdate   "1999-2021">
@@ -14,15 +22,16 @@
 <!-- jhalfs needs a literal dash, not &ndash; -->
 
-<!ENTITY short-version   "svn">  <!-- Used below in &blfs-book;
+<![ %sysv; [
+<!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
+]]>
+<![ %systemd; [
+<!ENTITY short-version  "systemd">  <!--Change to stable-systemd for release  -->
+]]>
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
-
-<!ENTITY short-versiond  "systemd">  <!--Change to stable-systemd for release  -->
-<!ENTITY generic-versiond "systemd">
 
 <!ENTITY lfs-root        "https://www.linuxfromscratch.org/">
 <!ENTITY blfs-root       "&lfs-root;blfs/">
 <!ENTITY blfs-book       "&blfs-root;view/&short-version;/">
-<!ENTITY blfs-systemd-book "&blfs-root;view/&short-versiond;/">
 <!ENTITY faq-root        "&lfs-root;faq/">
 <!ENTITY hints-root      "&lfs-root;hints/downloads/files/">
@@ -32,13 +41,18 @@
 <!ENTITY livecd-root     "&lfs-root;livecd/">
 <!ENTITY test-results    "&lfs-root;lfs/build-logs/&generic-version;/">
+<![ %sysv; [
 <!ENTITY errata          "&lfs-root;lfs/errata/&generic-version;/">
+]]>
+<![ %systemd; [
+<!ENTITY errata          "&lfs-root;lfs/errata/&short-version;/">
+]]>
 <!ENTITY secadv          "&lfs-root;lfs/advisories/">
 <!ENTITY min-kernel      "3.2">
-
+<!--
 <!ENTITY patches-rootd   "&lfs-root;patches/lfs/&generic-versiond;/">
 <!ENTITY downloads-rootd "&lfs-root;lfs/downloads/&generic-versiond;/">
 <!ENTITY test-resultsd   "&lfs-root;lfs/build-logs/&generic-versiond;/">
 <!ENTITY erratad         "&lfs-root;lfs/errata/&generic-versiond;/">
-
+-->
 <!ENTITY lfs-ticket-root "https://wiki.linuxfromscratch.org/lfs/ticket/">
 
Index: git-version.sh
===================================================================
--- git-version.sh	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ git-version.sh	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -1,9 +1,27 @@
 #!/bin/sh
+
+if [ "$1" = sysv ]; then
+	SYSV="INCLUDE"
+	SYSTEMD="IGNORE "
+elif [ "$1" = systemd ]; then
+	SYSV="IGNORE "
+	SYSTEMD="INCLUDE"
+else
+	echo You must provide either \"sysv\" or \"systemd\" as argument
+	exit 1
+fi
+
+echo "<!ENTITY % sysv    \"$SYSV\">"     >  conditional.ent
+echo "<!ENTITY % systemd \"$SYSTEMD\">"  >> conditional.ent
 
 if ! git status > /dev/null; then
 	# Either it's not a git repository, or git is unavaliable.
 	# Just workaround.
-	echo "<!ENTITY version           \"unknown\">"         >  version.ent
-	echo "<!ENTITY versiond          \"unknown-systemd\">" >> version.ent
+	echo "<![ %sysv; ["                                    >  version.ent
+	echo "<!ENTITY version           \"unknown\">"         >> version.ent
+	echo "]]>"                                             >> version.ent
+	echo "<![ %systemd; ["                                 >> version.ent
+	echo "<!ENTITY version           \"unknown-systemd\">" >> version.ent
+	echo "]]>"                                             >> version.ent
 	echo "<!ENTITY releasedate       \"unknown\">"         >> version.ent
 	echo "<!ENTITY copyrightdate     \"1999-2021\">"       >> version.ent
@@ -42,6 +60,10 @@
 fi
 
-echo "<!ENTITY version           \"$version\">"            >  version.ent
-echo "<!ENTITY versiond          \"$versiond\">"           >> version.ent
+echo "<![ %sysv; ["                                        >  version.ent
+echo "<!ENTITY version           \"$version\">"            >> version.ent
+echo "]]>"                                                 >> version.ent
+echo "<![ %systemd; ["                                     >> version.ent
+echo "<!ENTITY version          \"$versiond\">"            >> version.ent
+echo "]]>"                                                 >> version.ent
 echo "<!ENTITY releasedate       \"$full_date\">"          >> version.ent
 echo "<!ENTITY copyrightdate     \"1999-$year\">"          >> version.ent
Index: make-aux-files.sh
===================================================================
--- make-aux-files.sh	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ make-aux-files.sh	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -4,5 +4,5 @@
 
 # Get base file name and move bootscripts directory to that name
-version=`grep "ENTITY lfs-bootscripts-version" packages.ent |cut -d'"' -f2`
+version=`grep "ENTITY lfs-bootscripts-version" packages.ent | head -n1| cut -d'"' -f2`
 mv bootscripts lfs-bootscripts-$version
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ packages.ent	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -115,4 +115,5 @@
 <!ENTITY coreutils-fin-sbu "2.6 SBU">
 
+<![ %systemd; [
 <!ENTITY dbus-version "1.12.20">
 <!ENTITY dbus-size "2,048 KB">
@@ -122,4 +123,15 @@
 <!ENTITY dbus-fin-du "18 MB">
 <!ENTITY dbus-fin-sbu "0.2 SBU">
+]]>
+
+<![ %sysv; [
+<!ENTITY dbus-version "not-used">
+<!ENTITY dbus-size "not-used">
+<!ENTITY dbus-url "not-used">
+<!ENTITY dbus-md5 "not-used">
+<!ENTITY dbus-home "not-used">
+<!ENTITY dbus-fin-du "not-used">
+<!ENTITY dbus-fin-sbu "not-used">
+]]>
 
 <!ENTITY dejagnu-version "1.6.3">
@@ -157,4 +169,5 @@
 <!ENTITY elfutils-fin-sbu "0.9 SBU">
 
+<![ %sysv; [
 <!ENTITY eudev-version "3.2.10">
 <!ENTITY eudev-size "1,916 KB">
@@ -163,4 +176,14 @@
 <!ENTITY eudev-fin-du "80 MB">
 <!ENTITY eudev-fin-sbu "0.2 SBU">
+]]>
+
+<![ %systemd; [
+<!ENTITY eudev-version "not-used">
+<!ENTITY eudev-size "not-used">
+<!ENTITY eudev-url "not-used">
+<!ENTITY eudev-md5 "not-used">
+<!ENTITY eudev-fin-du "not-used">
+<!ENTITY eudev-fin-sbu "not-used">
+]]>
 
 <!ENTITY expat-version "2.4.1">
@@ -355,4 +378,5 @@
 <!ENTITY iproute2-fin-sbu "0.2 SBU">
 
+<![ %systemd; [
 <!ENTITY jinja2-version "3.0.1">
 <!ENTITY jinja2-size "264 KB">
@@ -362,4 +386,15 @@
 <!ENTITY jinja2-fin-du "3.7 MB">
 <!ENTITY jinja2-fin-sbu "less than 0.1 SBU">
+]]>
+
+<![ %sysv; [
+<!ENTITY jinja2-version "not-used">
+<!ENTITY jinja2-size "not-used">
+<!ENTITY jinja2-url "not-used">
+<!ENTITY jinja2-md5 "not-used">
+<!ENTITY jinja2-home "not-used">
+<!ENTITY jinja2-fin-du "not-used">
+<!ENTITY jinja2-fin-sbu "not-used">
+]]>
 
 <!ENTITY kbd-version "2.4.0">
@@ -387,4 +422,9 @@
 <!ENTITY less-fin-sbu "less than 0.1 SBU">
 
+<!-- For all other packages with conditional entities,
+     the order sysv/systemd is not important.
+     But for lfs-bootscript, sysv must be before systemd, for the
+     sake of make-aux-files.sh -->
+<![ %sysv; [
 <!ENTITY lfs-bootscripts-version "20210608">      <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">
@@ -394,4 +434,15 @@
 <!ENTITY lfs-bootscripts-cfg-du "BOOTSCRIPTS-INSTALL-KB KB">
 <!ENTITY lfs-bootscripts-cfg-sbu "less than 0.1 SBU">
+]]>
+
+<![ %systemd; [
+<!ENTITY lfs-bootscripts-version "not-used">
+<!ENTITY lfs-bootscripts-size "not-used">        
+<!ENTITY lfs-bootscripts-url "not-used">
+<!ENTITY lfs-bootscripts-md5 "not-used">  
+<!ENTITY lfs-bootscripts-home "not-used">
+<!ENTITY lfs-bootscripts-cfg-du "not-used"> 
+<!ENTITY lfs-bootscripts-cfg-sbu "not-used">
+]]>
 
 <!ENTITY libcap-version "2.57">
@@ -484,4 +535,5 @@
 <!ENTITY man-pages-fin-sbu "less than 0.1 SBU">
 
+<![ %systemd; [
 <!ENTITY markupsafe-version "2.0.1">
 <!ENTITY markupsafe-size "20 KB">
@@ -491,4 +543,15 @@
 <!ENTITY markupsafe-fin-du "516 KB">
 <!ENTITY markupsafe-fin-sbu "less than 0.1 SBU">
+]]>
+
+<![ %sysv; [
+<!ENTITY markupsafe-version "not-used">
+<!ENTITY markupsafe-size "not-used">
+<!ENTITY markupsafe-url "not-used">
+<!ENTITY markupsafe-md5 "not-used">
+<!ENTITY markupsafe-home "not-used">
+<!ENTITY markupsafe-fin-du "not-used">
+<!ENTITY markupsafe-fin-sbu "not-used">
+]]>
 
 <!ENTITY meson-version "0.59.1">
@@ -633,4 +696,5 @@
 <!ENTITY shadow-fin-sbu "0.2 SBU">
 
+<![ %sysv; [
 <!ENTITY sysklogd-version "1.5.1">
 <!ENTITY sysklogd-size "88 KB">
@@ -640,5 +704,17 @@
 <!ENTITY sysklogd-fin-du "0.6 MB">
 <!ENTITY sysklogd-fin-sbu "less than 0.1 SBU">
-
+]]>
+
+<![ %systemd; [
+<!ENTITY sysklogd-version "not-used">
+<!ENTITY sysklogd-size "not-used">
+<!ENTITY sysklogd-url "not-used">
+<!ENTITY sysklogd-md5 "not-used">
+<!ENTITY sysklogd-home "not-used">
+<!ENTITY sysklogd-fin-du "not-used">
+<!ENTITY sysklogd-fin-sbu "not-used">
+]]>
+
+<![ %systemd; [
 <!ENTITY systemd-version  "249">
 <!--<!ENTITY systemd-stable   "6b4878d">-->
@@ -657,5 +733,21 @@
 <!ENTITY systemd-fin-du   "277 MB">
 <!ENTITY systemd-fin-sbu  "2.3 SBU">
-
+]]>
+
+<![ %sysv; [
+<!ENTITY systemd-version  "not-used">
+<!ENTITY systemd-size     "not-used">
+<!ENTITY systemd-url      "not-used">
+<!ENTITY systemd-md5      "not-used">
+<!ENTITY systemd-home     "not-used">
+<!ENTITY systemd-man-version "not-used">
+<!ENTITY systemd-man-size "not-used">
+<!ENTITY systemd-man-url  "not-used">
+<!ENTITY systemd-man-md5  "not-used">
+<!ENTITY systemd-fin-du   "not-used">
+<!ENTITY systemd-fin-sbu  "not-used">
+]]>
+
+<![ %sysv; [
 <!ENTITY sysvinit-version "2.99">
 <!ENTITY sysvinit-size "124 KB">
@@ -665,4 +757,15 @@
 <!ENTITY sysvinit-fin-du "1.4 MB">
 <!ENTITY sysvinit-fin-sbu "less than 0.1 SBU">
+]]>
+
+<![ %systemd; [
+<!ENTITY sysvinit-version "not-used">
+<!ENTITY sysvinit-size "not-used">
+<!ENTITY sysvinit-url "not-used">
+<!ENTITY sysvinit-md5 "not-used">
+<!ENTITY sysvinit-home "not-used">
+<!ENTITY sysvinit-fin-du "not-used">
+<!ENTITY sysvinit-fin-sbu "not-used">
+]]>
 
 <!ENTITY tar-version "1.34">
@@ -704,4 +807,5 @@
 <!ENTITY tzdata-home "https://www.iana.org/time-zones">
 
+<![ %sysv; [
 <!ENTITY udev-lfs-version "udev-lfs-20171102">
 <!ENTITY udev-lfs-size    "11 KB">
@@ -709,4 +813,13 @@
 <!ENTITY udev-lfs-md5     "27cd82f9a61422e186b9d6759ddf1634">
 <!ENTITY udev-lfs-home    " ">
+]]>
+
+<![ %systemd; [
+<!ENTITY udev-lfs-version "not-used">
+<!ENTITY udev-lfs-size    "not-used">
+<!ENTITY udev-lfs-url     "not-used">
+<!ENTITY udev-lfs-md5     "not-used">
+<!ENTITY udev-lfs-home    "not-used">
+]]>
 
 <!ENTITY util-linux-minor "2.37">
Index: patches.ent
===================================================================
--- patches.ent	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ patches.ent	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -73,9 +73,25 @@
 <!ENTITY perl-fix-patch-size "1.6 KB">
 
+<![ %sysv; [
 <!ENTITY sysvinit-consolidated-patch "sysvinit-&sysvinit-version;-consolidated-1.patch">
 <!ENTITY sysvinit-consolidated-patch-md5 "4900322141d493e74020c9cf437b2cdc">
 <!ENTITY sysvinit-consolidated-patch-size "2.4 KB">
+]]>
 
+<![ %systemd; [
+<!ENTITY sysvinit-consolidated-patch "not-used">
+<!ENTITY sysvinit-consolidated-patch-md5 "not-used">
+<!ENTITY sysvinit-consolidated-patch-size "not-used">
+]]>
+
+<![ %systemd; [
 <!ENTITY systemd-upstream-fixes-patch "systemd-&systemd-version;-upstream_fixes-1.patch">
 <!ENTITY systemd-upstream-fixes-patch-md5 "a4449dedf514486b8995ee501d1bb8cc">
 <!ENTITY systemd-upstream-fixes-patch-size "4 KB">
+]]>
+
+<![ %sysv; [
+<!ENTITY systemd-upstream-fixes-patch "not-used">
+<!ENTITY systemd-upstream-fixes-patch-md5 "not-used">
+<!ENTITY systemd-upstream-fixes-patch-size "not-used">
+]]>
Index: prologue/bookinfo.xml
===================================================================
--- prologue/bookinfo.xml	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ prologue/bookinfo.xml	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -8,6 +8,5 @@
 <bookinfo>
   <title>Linux From Scratch</title>
-  <subtitle revision='sysv'   >Version &version; </subtitle>
-  <subtitle revision='systemd'>Version &versiond;</subtitle>
+  <subtitle>Version &version; </subtitle>
   <subtitle>Published &releasedate;</subtitle>
 
Index: prologue/errata.xml
===================================================================
--- prologue/errata.xml	(revision 007d3bcce6dc5aa33a0d74de203f40d00fe3da49)
+++ prologue/errata.xml	(revision 9af096edf5256490c71e1350bef6ffea418b0811)
@@ -16,6 +16,5 @@
   instructions in this release of LFS need any modifications to accommodate
   security vulnerabilities or other bug fixes, please visit
-  <ulink revision="sysv" url="&errata;"/>
-  <ulink revision="systemd" url="&erratad;"/>
+  <ulink url="&errata;"/>
   before proceeding with your build. You should note any
   changes shown and apply them to the relevant section of the book as you
